# CreateCharacterMessage Struct Reference

`#include <Account.h>`

List of all members.

## Public Attributes

DWORD | dwF656
WORD | wLengthOfAccountName
char | szAccountName [40]
DWORD | dwValOne
DWORD | dwRace
DWORD | dwSex
DWORD | dwForeheadTexture
DWORD | dwNoseTexture
DWORD | dwChinTexture
DWORD | dwHairColor
DWORD | dwEyeColor
DWORD | dwHairStyle
DWORD | dwHatType
DWORD | dwHatColor
DWORD | dwShirtType
DWORD | dwShirtColor
DWORD | dwPantsType
DWORD | dwPantsColor
DWORD | dwShoeType
DWORD | dwShoeColor
double | dblSkinShade
double | dblHairShade
double | dblHatShade
double | dblShirtShade
double | dblPantsShade
double | dblShoeShade
DWORD | dwProfession
DWORD | dwStrength
DWORD | dwEndurance
DWORD | dwCoordination
DWORD | dwQuickness
DWORD | dwFocus
DWORD | dwSelf
DWORD | dwUnk2
DWORD | dwUnk3
DWORD | dwNumSkills
DWORD | dwSkillStatus [0x30]
WORD | wNameLength
char | szName [40]
DWORD | dwUnk4
DWORD | dwUnk5
DWORD | dwStartingPlace
DWORD | dwUnk6

## Detailed Description

The CreateCharacterMessage struct parallels the structure of the Create Character message.

Values from this struct are used by cDatabase to create characters.

See also:
  cDatabase::CreateAvatar

The documentation for this struct was generated from the following file:

- E:/uas2/Server/Account.h